### Function

# St Shadow new

#### Declaration [src]

    StShadow*
    st_shadow_new (
      ClutterColor* color,
      gdouble xoffset,
      gdouble yoffset,
      gdouble blur,
      gdouble spread,
      gboolean inset
    )

#### Description [src]

Creates a new `StShadow`.

#### Parameters

`color`

  Type: `ClutterColor`

  Shadow’s color.

  The data is owned by the caller of the function.

`xoffset`

  Type: `gdouble`

  Horizontal offset.

`yoffset`

  Type: `gdouble`

  Vertical offset.

`blur`

  Type: `gdouble`

  Blur radius.

`spread`

  Type: `gdouble`

  Spread radius.

`inset`

  Type: `gboolean`

  Whether the shadow should be inset.

#### Return value

Type: `StShadow`

The newly allocated shadow. Use `st_shadow_free()` when done.

The caller of the function takes ownership of the data, and is responsible for freeing it.